@import './fonts.scss';

@tailwind base;
@tailwind components;
@tailwind utilities;


@import './prism.scss';

body {
    max-width: 1920px;
    margin: auto;
}

// Remove top margin from the first element
.content > *:first-child {
    @apply mt-0;
}


/**
 * Page Header
 */

.page-header {
    img {
        @apply opacity-40;
        @apply absolute;
        @apply object-cover;
        @apply top-0;
        @apply left-0;
        @apply w-full;
        @apply h-full;
        @apply -z-10;
    }

    .bg-pattern {
        background-image: url('../images/pattern.svg');
        @apply opacity-10;
        @apply absolute;
        @apply top-0;
        @apply left-0;
        @apply w-full;
        @apply h-full;
        @apply -z-10;
    }
}



/**
 * Embed
 */

.embed-responsive {

    @apply relative;
    @apply block;
    height: 0;

    .embed-responsive-item {
        @apply w-full;
        @apply h-full;
        &>iframe,
        &>embed,
        &>object,
        &>video {
            @apply absolute;
            @apply top-0;
            @apply left-0;
            @apply bottom-0;
            @apply border-none;
            @apply h-full;
            @apply w-full;
        }
    }
}

@mixin link {
    position: relative;
    overflow: hidden;
    text-decoration: none;
    color: #EC407A;

    &::after {
        content: "";
        background: rgba(#EC407A, 0.25);
        position: absolute;
        left: 12px;
        bottom: -6px;
        width: calc(100% - 8px);
        height: calc(100% - 8px);
        z-index: -1;
        transition: 0.35s cubic-bezier(0.25, 0.1, 0, 2.05);
    }

    &:hover:after {
        left: 0;
        bottom: -2px;
        width: 100%;
        height: 100%;
    }
}

a.link {
    @include link;
}
